@charset "utf-8";
/* Main CSS Document for Rearguard template */
/*///////////// Template main styles /////////////*/

/* Main tags and containers */
body.body{height:100%;width:100%}
html{height:100%;position:relative;min-height:100vh;width:100%}
iframe{max-width:100%}
/* --- */

/* Custom scrolbar */
*{scrollbar-color:rgba(255,255,255,.7) rgba(0,0,0,.3);--scrollbarBG:rgba(255,255,255,.7);--thumbBG:rgba(0,0,0,.3);scrollbar-width:.7em}
*::-webkit-scrollbar{height:.7em;width:.7em}
*::-webkit-scrollbar-track{background-color:rgba(0,0,0,.1);box-shadow:inset 0 0 6px rgba(0,0,0,.3)}
*::-webkit-scrollbar-thumb{background-color:rgba(255,255,255,.7);outline:1px solid rgba(255,255,255,.5)}
/* --- */

/* Main features */
a[href="javascript:void(0)"],a[href="javascript:void(0);"]{cursor:default}
textarea{resize:none}
.cursor_pointer{cursor:pointer}
.fs_1rem{font-size:1rem}
.fs_2rem{font-size:2rem}
.fs_3rem{font-size:3rem}
.fs_60pct{font-size:60%}
.fs_70pct{font-size:70%}
.fs_75pct{font-size:75%}
.fs_50pct{font-size:50%}
.h_100px{height:100px}
.h_1em{height:1em}
.labels_on_border .form-group:not(.form-check){position:relative}
.labels_on_border .form-group:not(.form-check) label{background-color:#fff;border-radius:5px;line-height:1rem;max-width:100%;overflow:hidden;padding-right:2px;padding-left:2px;position:absolute;top:-.5rem;left:.5rem;text-overflow:ellipsis;white-space:nowrap;z-index:4}
.lh_1em{line-height:1em}
.max_h_1em{max-height:1em}
.max_h_2em{max-height:2em}
.opacity_0{opacity:0}
.overflow_y_auto{overflow-y:auto}
.overflow_x_auto{overflow-x:auto}
.shadow_active{box-shadow:0px 0px 10px 3px rgba(0,0,0,.1);-moz-box-shadow:0px 0px 10px 3px rgba(0,0,0,.1);-webkit-box-shadow:0px 0px 10px 3px rgba(0,0,0,.1);transition:0.3s;-webkit-transition:0.3s}
.shadow_active:hover{box-shadow:0px 0px 20px 4px rgba(0,0,0,.15);-moz-box-shadow:0px 0px 20px 4px rgba(0,0,0,.15);-webkit-box-shadow:0px 0px 20px 4px rgba(0,0,0,.15)}
.square_block{padding-bottom:100%;position:relative;width:100%}
.square_block>*{height:100%;position:absolute;width:100%}
.w_100px{width:100px}
.w_1em{width:1em}
.w_1p5em{width:1.5em}
.w_min_content{width:min-content}
@media (min-width:576px){
.w_sm_min_content{width:min-content}
}
/* --- */

/* Main preloader */
.main_preloader{align-items:center;display:flex;justify-content:center;position:fixed!important;top:0;right:0;bottom:0;left:0;z-index:999999!important}
.main_preloader>*{position:relative;z-index:1000000}
.main_preloader::after{backdrop-filter:blur(5px);-webkit-backdrop-filter:blur(5px);background-color:rgba(255, 255, 255, 0.7);content:"";display:block;position:absolute;top:0;right:0;bottom:0;left:0;z-index:1}
/* --- */

/* Ordered lists */
ol.ordered li.heading{margin-top:.7em}
ol.ordered li.heading:before{font-weight:700}
ol.ordered li{list-style-type:none;margin-bottom:.3em}
ol.ordered{counter-reset:list1;padding-right:0;padding-left:1em}
@media(max-width:767px){
ol.ordered{padding-left:0}
}
ol.ordered>li::before{content:counter(list1)". ";counter-increment:list1;margin-left:-.7em}
@media(max-width:767px){
ol.ordered>li::before{margin-left:0}
}
ol.ordered ol{counter-reset:list2;padding-left:2.5em}
@media(max-width:767px){
ol.ordered ol{padding-left:0}
}
ol.ordered ol>li::before{content:counter(list1)"."counter(list2)". ";counter-increment:list2;margin-left:-2em}
@media(max-width:767px){
ol.ordered ol>li::before{margin-left:0}
}
ol.ordered ol ol{counter-reset:list3;padding-left:3.3em}
@media(max-width:767px){
ol.ordered ol ol{padding-left:3em}
}
ol.ordered ol ol>li::before{content:counter(list1)"."counter(list2)"."counter(list3)". ";counter-increment:list3;margin-left:-3.3em}
@media(max-width:767px){
ol.ordered ol ol>li::before{margin-left:-3em}
}
ol.ordered ol ol ol{counter-reset:list4;padding-left:4.5em}
@media(max-width:767px){
ol.ordered ol ol ol{counter-reset:list4;padding-left:3.5em}
}
ol.ordered ol ol ol>li::before{content:counter(list1)"."counter(list2)"."counter(list3)"."counter(list4)". ";counter-increment:list4;margin-left:-3em}
@media(max-width:767px){
ol.ordered ol ol ol>li::before{margin-left:-3.5em}
}
/* --- */

/* Error page */
body.body.body_error{padding-top:100px;padding-bottom:100px}
body.body.body_error header.header{margin-bottom:100px}
body.body.body_error .error_alert_text{font-size:20px}
body.body.body_error .error_alert_text .error_alert_label{color:var(--success);font-size:6em}
@media(min-width:1200px){
body.body.body_error .error_alert_wrapper{border-right:solid 2px var(--success)}
}
@media(max-width:1199.98px){
body.body.body_error .error_alert_wrapper{border-bottom:solid 2px var(--success)}
}
/* --- */

/* Font Awesome icons for navbar-nav */
.navbar-nav .font_awesome_icon{align-items:center;display:flex;transform:none!important;-webkit-transform:none;-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=0)"}
.navbar-nav .font_awesome_icon.fa-rotate-180:before{transform:rotate(180deg);-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=2)";-webkit-transform:rotate(180deg)}
.navbar-nav .font_awesome_icon.fa-rotate-90:before{transform:rotate(90deg);-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(90deg)}
.navbar-nav .nav-link{font-family:inherit;font-weight:inherit}
.navbar-nav .nav-link.font_awesome_icon:before{display:var(--fa-display,inline-block);font-family:"Font Awesome 6 Free";font-style:normal;font-variant:normal;font-weight:900;-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;line-height:1;text-align:center;text-rendering:auto;width:1em}
.navbar-nav .nav-link.font_awesome_icon.fa-brands:before,.navbar-nav .nav-link.font_awesome_icon.fab:before{font-family:"Font Awesome 6 Brands"}
.navbar-nav .nav-item.active .nav-link.font_awesome_icon:before{color:var(--primary)}
@media(max-width:991.98px){
.navbar-nav .nav-link.font_awesome_icon:before{margin-right:1rem;margin-left:1rem}
}
@media(min-width:992px){
.navbar-nav .nav-link.font_awesome_icon:before{font-size:2.5rem}
}
/* --- */

/* Accordion navbar (styles for menu override - accordion-navbar-nav) */
.accordion.navbar-nav .deeper+ul{list-style-type:none;padding-left:0}
.accordion.navbar-nav .deeper+ul .nav-link{padding-left:1.5rem}
.accordion.navbar-nav .nav-item{border-right:solid 5px transparent;border-left:solid 5px transparent}
@media(min-width:992px){
.accordion.navbar-nav .nav-item{text-align:left}
}
.accordion.navbar-nav .nav-item.active{border-right:solid 5px transparent;border-left:solid 5px var(--primary)}
.accordion.navbar-nav .nav-link.item_image{text-align:center}
@media(max-width:991.98px){
.accordion.navbar-nav .nav-link.item_image{padding-left:.5rem;text-align:left}
}
.accordion.navbar-nav .nav-link.item_image img{display:block;margin-right:auto;margin-left:auto;max-height:2.5rem}
@media(max-width:991.98px){
.accordion.navbar-nav .nav-link.item_image img{display:inline-block;margin-left:0;margin-right:1rem;max-height:1rem}
}
@media(min-width:992px){
.accordion.navbar-nav .nav-link .item_link_text{font-size:14px}
}
.hidden_text .item_link_text{display:none}
@media(min-width:992px){
.hidden_lg_text .item_link_text{display:none}
}
/* --- */

/* Footer */
/* --- */

/* Bootstrap fix */
.is-invalid~.invalid-feedback, .is-invalid~.invalid-tooltip, .was-validated :invalid~.invalid-feedback, .was-validated :invalid~.invalid-tooltip{display:block}
/* --- */

/* Bootstrap overrides */
/* --- */